Album: BLINK
Date: May 12, 2023
Date Added: April 13, 2024
URLs:
- https://metianull.bandcamp.com/track/blink
- https://soundcloud.com/metianull/blink
- https://open.spotify.com/album/4AZgL7XvU968QApN2E7Hs2
- https://youtu.be/0B6QITNL-qg
Artists:
- METIANULL
Cover Artists:
- METIANULL
Art Tags:
- Rose
Cover Art File Extension: png
Color: '#FFDAFF'
Groups:
- Fandom
Commentary: |-
    <i>METIANULL:</i> ([Bandcamp about blurb](https://metianull.bandcamp.com/track/blink))
    CHEER UP AND START RUNNING!!!!!!
---
Track: BLINK
Duration: '2:04'
URLs:
- https://metianull.bandcamp.com/track/blink
- https://soundcloud.com/metianull/blink
- https://open.spotify.com/track/2otDOkhSpAJnnMczIrdvIK
- https://youtu.be/0B6QITNL-qg
